Group: System/Servers
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-morbid
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:			python-module-morbid
Summary:		A lightweight message queue for bundled deployment
Version:		0.8.7.3
Release:		alt1_18
License:		MIT
URL:			http://www.morbidq.com
Source0:		http://pypi.python.org/packages/source/m/morbid/morbid-%{version}.tar.gz
BuildArch:		noarch
BuildRequires:		python-module-pkg_resources python-module-setuptools, python-devel

%global _description\
Morbid is a Twisted-based publish/subscribe messaging server that uses the\
STOMP protocol. It supports publish/subscribe topics, and runs as a single\
node. It is designed specifically for usecases where a clustered message\
broker is not necessary.
Source44: import.info

%description 

%_description
%prep
%setup -q -n morbid-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files -n python-module-morbid
%doc LICENSE README
%{_bindir}/morbid
%{_bindir}/morbid_restq_test
%{python_sitelibdir_noarch}/morbid/
%{python_sitelibdir_noarch}/morbid*.egg-info/

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_17
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_15
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_11
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_10
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_7
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_5
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.8.7.3-alt1_4
- initial fc import

